Question about firmware spoofing and 3DS firmware version number

Discussion in '3DS - Flashcards & Custom Firmwares' started by Schizoanalysis, Aug 26, 2013.

  1. Schizoanalysis
    OP

    Schizoanalysis From somewhere inside the rabbit hole...

    Member
    2,785
    368
    Jun 23, 2009
    ...
    Hello all,

    OK, so I read that it is not particularly safe to update 3DS firmware via a ROM, but that it is better to by an original game cart with 4.5.x.

    But then I got to thinking, maybe I don't need to buy an original game in order to update my 3DS to 4.5.x...

    You see, I have a 4.3.x 3DS, but with firmware spoofing, maybe I can just stay on 4.3.x... Maybe I do not need to update to my 3DS 4.5.x to play games like Luigi's Mansion. Maybe firmware spoofing will fool my 3DS into thinking I already have 4.5.x.

    Does this sound feasible?

    Would anyone with the GW know if a 4.3.x 3DS can play 4.5.x ROMs with firmware spoofing? Or is that only for 5.1.x games like Mario/Luigi Dream Team.

    Thanks!
     
  2. Pedeadstrian

    Pedeadstrian GBAtemp's Official frill-necked lizard.

    Member
    3,495
    1,552
    Oct 12, 2012
    United States
    Sandy Eggo
    You should be perfectly fine. Although, in time, I recommend you updating to 4.5 (either by renting, buying, or borrowing a 4.5 game). The higher your firmware is, the more compatible games should be.
     
  3. Schizoanalysis
    OP

    Schizoanalysis From somewhere inside the rabbit hole...

    Member
    2,785
    368
    Jun 23, 2009
    ...

    But compatible with what? If higher firmware is spoofed, what benefit would 4.5 offer anyway?
     
  4. tHciNc

    tHciNc Total Random

    Member
    853
    178
    Jan 14, 2006
    New Zealand
    Probably none at all TBH, maybe in the future when game dependent stuff gets added to firmware it would be a problem, but whether you are on 4.3 or 4.5 shouldnt make any difference or add compatibilty game wise, as you will be able to play all 4.5 and 5.1 games anyway
    :)
     
  5. Schizoanalysis
    OP

    Schizoanalysis From somewhere inside the rabbit hole...

    Member
    2,785
    368
    Jun 23, 2009
    ...

    That's what I'm hoping. I'll find this out when my GW arrives anyway.
    I don't really want to update to 4.5.x if I can avoid it.
     
  6. tHciNc

    tHciNc Total Random

    Member
    853
    178
    Jan 14, 2006
    New Zealand
    You dont need to if you dont want too, as spoofing will bypass that need :)
     
  7. Pedeadstrian

    Pedeadstrian GBAtemp's Official frill-necked lizard.

    Member
    3,495
    1,552
    Oct 12, 2012
    United States
    Sandy Eggo
    There have been multiple people having Gateway problems, and since it is such a new product, there has been no compilations of errors and their causes. Their problems could be due to them not having the right firmware. Of course, this is just a theory. Which is why I said (s)he is fine for now. I'm just saying that, by updating to 4.5, your console may be better because "Further improvements to overall system stability and other minor adjustments have been made to enhance the user's experience."
     
  8. Schizoanalysis
    OP

    Schizoanalysis From somewhere inside the rabbit hole...

    Member
    2,785
    368
    Jun 23, 2009
    ...
    Well, I'll try GW on 4.3.x, and if there are any problems, then I will buy Luigi's Mansion and will update to 4.5.x. Otherwise, I will say on 4.3.x.

    Thanks all!